# OnnxRuntime: Ort::detail::AllocatorImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::AllocatorImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::AllocatorImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

void * | Alloc (size_t size)
MemoryAllocation | GetAllocation (size_t size)
void | Free (void *p)
ConstMemoryInfo | GetInfo () const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::AllocatorImpl< T >::B = Base<T>

## Member Function Documentation

## Alloc()

template<typename T >

void * Ort::detail::AllocatorImpl< T >::Alloc | ( | size_t | size | ) |

## Free()

template<typename T >

void Ort::detail::AllocatorImpl< T >::Free | ( | void * | p | ) |

## GetAllocation()

template<typename T >

MemoryAllocation Ort::detail::AllocatorImpl< T >::GetAllocation | ( | size_t | size | ) |

## GetInfo()

template<typename T >

ConstMemoryInfo Ort::detail::AllocatorImpl< T >::GetInfo | ( |  | ) | const